' PBXA64 V23 declarations for ole32.pbi
#IF NOT %DEF(PBX_OLE32_PBI)
#DEFINE PBX_OLE32_PBI
#INCLUDE ONCE "Legacy/Platform/win_types.inc"
#INCLUDE ONCE "Legacy/Platform/win_consts.inc"

DECLARE FUNCTION CoInitialize LIB "ole32.dll" ALIAS "CoInitialize" (BYVAL pvReserved AS QUAD) AS LONG
DECLARE FUNCTION CoInitializeEx LIB "ole32.dll" ALIAS "CoInitializeEx" (BYVAL pvReserved AS QUAD, BYVAL dwCoInit AS DWORD) AS LONG
DECLARE SUB CoUninitialize LIB "ole32.dll" ALIAS "CoUninitialize" ()
DECLARE FUNCTION CoCreateInstance LIB "ole32.dll" ALIAS "CoCreateInstance" (BYVAL rclsid AS QUAD, BYVAL pUnkOuter AS QUAD, BYVAL dwClsContext AS DWORD, BYVAL riid AS QUAD, BYVAL ppv AS QUAD) AS LONG
DECLARE FUNCTION CoTaskMemAlloc LIB "ole32.dll" ALIAS "CoTaskMemAlloc" (BYVAL cb AS QUAD) AS QUAD
DECLARE SUB CoTaskMemFree LIB "ole32.dll" ALIAS "CoTaskMemFree" (BYVAL pv AS QUAD)
DECLARE FUNCTION CoTaskMemRealloc LIB "ole32.dll" ALIAS "CoTaskMemRealloc" (BYVAL pv AS QUAD, BYVAL cb AS QUAD) AS QUAD
DECLARE FUNCTION CLSIDFromString LIB "ole32.dll" ALIAS "CLSIDFromString" (BYVAL lpsz AS WSTRING, BYVAL pclsid AS QUAD) AS LONG
DECLARE FUNCTION IIDFromString LIB "ole32.dll" ALIAS "IIDFromString" (BYVAL lpsz AS WSTRING, BYVAL lpiid AS QUAD) AS LONG
DECLARE FUNCTION StringFromGUID2 LIB "ole32.dll" ALIAS "StringFromGUID2" (BYVAL rguid AS QUAD, BYVAL lpsz AS QUAD, BYVAL cchMax AS LONG) AS LONG

#ENDIF
